close all
clear all
%% Initialize parameter
iFigure = 1;  %Figure index
timestep = 0.01; %[ms]
%% Calculate cervical vertebra rotational angle at each time step
angles = AngleSpline(timestep);  % time step = 1 [ms]
% Two rows to plot the calculation results in figure 1
% Only works if timestep=1 above!
if timestep == 1
  PlotAngle(angles,iFigure);
  iFigure = iFigure + 1;
else
  disp('Use timestep = 1ms to show plot of angles.')
end
%% Calculate boold vessel movement
[wmCoeff,vNodeX,vNodeY,nodeX,nodeY] = ...
    CervicalVertebraBloodVesselMove(timestep, angles);

%% Movement movie
iFigure = WhiplashMovie(iFigure,timestep,vNodeX,vNodeY,nodeX,nodeY);
